i.MX7ULP EMMC 5.1

cancel
Showing results for 
Search instead for 
Did you mean: 

i.MX7ULP EMMC 5.1

64 Views
ATAineri
Contributor III

Good afternoon, dear NXP! Can you tell me something about i.mx7ulp emmc 5.1 supporting? I faced a problem that there is no emmc 5.0 chips is available longer. So I can base my device only on EMMC 5.1 but there is no information about 7ULP EMMC 5.1 supporting - only 5.0...

Labels (2)
0 Kudos
1 Reply

51 Views
joanxie
NXP TechSupport
NXP TechSupport

current bsp supports emmc 5.1 already, you can find the source code from:

"https://source.codeaurora.org/external/imx/linux-imx/tree/drivers/mmc/core/mmc.c?h=imx_5.4.70_2.3.0"

 

/* eMMC v5.1 or later */
	if (card->ext_csd.rev >= 8) {
		card->ext_csd.cmdq_support = ext_csd[EXT_CSD_CMDQ_SUPPORT] &
					     EXT_CSD_CMDQ_SUPPORTED;
		card->ext_csd.cmdq_depth = (ext_csd[EXT_CSD_CMDQ_DEPTH] &
					    EXT_CSD_CMDQ_DEPTH_MASK) + 1;
		/* Exclude inefficiently small queue depths */
		if (card->ext_csd.cmdq_depth <= 2) {
			card->ext_csd.cmdq_support = false;
			card->ext_csd.cmdq_depth = 0;
		}
		if (card->ext_csd.cmdq_support) {
			pr_debug("%s: Command Queue supported depth %u\n",
				 mmc_hostname(card->host),
				 card->ext_csd.cmdq_depth);
		}
	}

0 Kudos